function [interval]=call_ci(x,confidence, dim)
% % 
% % call_ci is written by Edward L. Zechmann
% %               18 December 2007
% % 
% % ci is written by Raymond Reynolds 23/11/06
% % 
% % 

b=[90, 95, 99];
if nargin < 2;
    confidence=95;
end 

if ~ismember(confidence, b);
    confidence=95;
end

if nargin < 3
    dim=1;
end

dim=round(dim);
if dim < 0
    dim=1;
end

max_size=max(max(size(x)));
if dim > max_size
    dim=max_size;
end


if length(x) > 1
    if nargin < 2
        interval=ci(x);
    elseif nargin < 3;
        interval=ci(x,confidence);
    else
        interval=ci(x,confidence,dim);
    end
else
    interval=0;
end

